[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.SetColor

Sets the value for the indexed Colors property.

## Declaration

Source position: graphics.pp line 1031

`protected procedure TCanvas.SetColor(`
`x: Integer;`
`y: Integer;`
`const Value: TFPColor`
`); override;`

## Arguments

`x` |  | Horizontal coordinate for the pixel.
`y` |  | Vertical coordinate for the pixel.
`Value` |  | Color for the specified pixel.

## Description

SetColor is a method used to set the value for the indexed Colors property. SetColor implements the abstract virtual method defined in the TFPCustomCanvas ancestor. Equivalent to setting the color value using the Pixels property.

## See also

TCanvas.Pixels |  | The color of the Pixels located at the specified position.